<div class="device-menu-boundary" *ngIf="isDevice(item)">

  <mat-tree [dataSource]="dataSource" [treeControl]="treeControl">
    <mat-tree-node *matTreeNodeDef="let node" matTreeNodePadding [ngClass]="{
                      'linked-port': isLinkedPort(node),
                      'free-port': !isLinkedPort(node)
                    }"
                    (click)="onPortClick(node.name)">
<!--      <mat-icon svgIcon="cog-wheel" aria-hidden="false" aria-label="bruh"></mat-icon>-->
      {{node.name}}
    </mat-tree-node>
    <mat-tree-node *matTreeNodeDef="let node;when: hasChild"
                   matTreeNodePadding
                   class="root-node">
      <button mat-icon-button matTreeNodeToggle
              [attr.aria-label]="'toggle ' + node.name">
        <mat-icon class="mat-icon-rtl-mirror">
          {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
        </mat-icon>
      </button>
      {{node.name}}
    </mat-tree-node>
  </mat-tree>

  <mat-list role="list">
    <mat-list-item role="listitem" class="device-menu-entry">
      <mat-form-field class="example-full-width">
        <input matInput placeholder="name" [(ngModel)]="asDevice(item).name">
      </mat-form-field>
    </mat-list-item>
    <mat-list-item role="listitem" class="device-menu-entry">
      {{asDevice(item).typeName}} id: {{asDevice(item).id}}<br>
    </mat-list-item>
    <mat-list-item role="listitem">
      <button mat-button (click)="delete()" class="delete-button">delete</button>
    </mat-list-item>
  </mat-list>

</div>
<div *ngIf="isLink(item)" class="device-menu-boundary">
  <mat-list role="list">
    <mat-list-item role="listitem">
      idA {{asLink(item).idA}} to adZ {{asLink(item).idZ}}<br>
    </mat-list-item>
    <mat-list-item role="listitem">
      intA: {{asLink(item).interface1}}<br>
    </mat-list-item>

    <mat-list-item role="listitem">
      intZ: {{asLink(item).interface2}}<br>
    </mat-list-item>
    <mat-list-item role="listitem">
      (xA, yA): {{asLink(item).x1}} {{asLink(item).y1}}<br>
    </mat-list-item>
    <mat-list-item role="listitem">
      (xZ, yZ): {{asLink(item).x2}} {{asLink(item).y2}}<br>
    </mat-list-item>
    <mat-list-item role="listitem" class="linked-port">
      PortA: {{asLink(item).portA.name}}<br>
    </mat-list-item>
    <mat-list-item role="listitem" class="linked-port">
      PortZ: {{asLink(item).portZ.name}}<br>
    </mat-list-item>

    <mat-list-item role="listitem">
      <button mat-button (click)="delete()" class="delete-button">delete</button>
    </mat-list-item>
  </mat-list>


</div>


